# generated by cabal-rpm-2.0.10
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

Name:           fbrnch
Version:        0.9.1.1
Release:        1%{?dist}
Summary:        Fedora packager tool to build package branches

# libs/bodhi-hs, libs/pdc-hs: MIT
# libs/copr, libs/fedora-dists: GPLv3+
# fbrnch, libs/koji-hs, libs/pagure-hs: GPLv2+
License:        GPLv2+ and MIT and GPLv3+
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-aeson-static
BuildRequires:  ghc-async-static
BuildRequires:  ghc-base-static
BuildRequires:  ghc-bugzilla-redhat-static
BuildRequires:  ghc-bytestring-static
BuildRequires:  ghc-config-ini-static
BuildRequires:  ghc-directory-static
BuildRequires:  ghc-email-validate-static
BuildRequires:  ghc-extra-static
BuildRequires:  ghc-filepath-static
BuildRequires:  ghc-http-conduit-static
BuildRequires:  ghc-http-directory-static
BuildRequires:  ghc-http-query-static
BuildRequires:  ghc-koji-static
BuildRequires:  ghc-lens-static
BuildRequires:  ghc-lens-aeson-static
BuildRequires:  ghc-network-uri-static
BuildRequires:  ghc-optparse-applicative-static
BuildRequires:  ghc-pretty-terminal-static
BuildRequires:  ghc-process-static
BuildRequires:  ghc-rpm-nvr-static
BuildRequires:  ghc-rpmbuild-order-static
BuildRequires:  ghc-simple-cmd-static
BuildRequires:  ghc-simple-cmd-args-static
BuildRequires:  ghc-text-static
BuildRequires:  ghc-time-static
BuildRequires:  ghc-typed-process-static
BuildRequires:  ghc-unordered-containers-static
BuildRequires:  ghc-utf8-string-static
BuildRequires:  ghc-xdg-basedir-static
# End cabal-rpm deps
# manpage
BuildRequires:  help2man
Requires:       bodhi-client
Requires:       curl
Requires:       fedora-packager-kerberos
Requires:       fedpkg
Requires:       git-core
Requires:       koji
Requires:       openssh-clients
Requires:       rpm-build
Requires:       rpmdevtools
Recommends:     copr-cli
Recommends:     fedora-review

%description
Fbrnch is a convenient packaging tool for Fedora Packagers, with integration
for Bugzilla, Koji, and Bodhi.

Features include:
- merging and building a package across release branches
- automated parallel builds of sets of packages in dependency order
- creating, updating and listing one's package reviews
- requesting repos for new approved packages and branch requests
- import srpms from package reviews
- progressive copr builds
and many more commands.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm install

help2man --no-info %{buildroot}%{_bindir}/%{name} > %{name}.man
install -pm 644 -D %{name}.man %{buildroot}%{_mandir}/man1/%{name}.1

for i in libs/*; do
cp -p $i/LICENSE LICENSE.$(basename $i)
done


%files
# Begin cabal-rpm files:
%license LICENSE*
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm files
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Aug  1 2021 Jens Petersen <petersen@redhat.com> - 0.9.1.1-1
- getSources: fix mixup between sources and patches
- 'reviews': add --pattern to filter by package prefix

* Thu Jul 29 2021 Jens Petersen <petersen@redhat.com> - 0.9.1-1
- numerous bug fixes and small improvements:
  https://hackage.haskell.org/package/fbrnch-0.9.1/changelog
- note 'local' now creates .build-ver-rel.log

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 31 2021 Jens Petersen <petersen@redhat.com> - 0.9-1
- numerous bug fixes and enhancements:
  https://hackage.haskell.org/package/fbrnch-0.9/changelog
- new commands: 'waitrepo' and 'graph' using rpmbuild-order-0.4.5
- merge checks now show unmergeable branches
- 'parallel' now uses native koji wait-task

* Thu Apr 08 2021 Jens Petersen <petersen@redhat.com> - 0.8.0-1
- major refactor of branch-package args handling together with branch options
- 'request-repos' can now take branch args and --mock option (#18)
- 'parallel': only override and waitrepo if more layers
- extend dryrun to bodhiCreateOverride, putBugBuild, bodhiUpdate, kojiWaitRepo
- drop the restriction of no packages inside a pkg dir (#19)
- 'switch': drop git clean requirement to prevent error when on branch
- 'parallel': use parallelBranches for single package arg
- 'request-branch': allow request for a closed pkg review
- 'copr': new --list-chroots option for project
- 'command': skip dead.package's
- 'build': clearer bodhi note prompt
- 'install': fix conflicting short options for --recurse and --reinstall

* Sat Mar 27 2021 Jens Petersen <petersen@redhat.com> - 0.7.3-3
- fix package branch header for withPackageByBranches

* Fri Mar 26 2021 Jens Petersen <petersen@redhat.com> - 0.7.3-2
- print package branch header with a branch option

* Fri Mar 26 2021 Jens Petersen <petersen@redhat.com> - 0.7.3-1
- changes/improvements to package header output
- 'merge','build': query about diverging newer commits
- 'merge': add --no-prompt option
- Build: refine the "still in testing" logic to check testing repo with prompt
- Koji: offer to resubmit build on API error
- 'scratch': don't get sources for pushed git build
- 'request-repos' now prompts for branching and
  'import' skips offering branching if they exist
- 'import': add --mock option for checking branches (#18)
- add 'not-installed' command: lists packages not installed locally at all
- Bugzilla: don't bother reprinting comment after posting it
- 'rename-master': renamed from 'master-rename'
- 'srpm': add --force option
- `local --force` (or --short): ignore existing built rpms
- 'command': option to hide package header if no output
- 'create-review': fix error for non-existent dir
- 'parallel': don't sleep for dryrun

* Sat Feb 27 2021 Jens Petersen <petersen@redhat.com> - 0.7.2-1
- 'install': --recurse to install missing neighboring deps
- 'request-repo': offer to request branches too
- 'override': --dryrun
- 'build': no longer override the last of built packages
- Bodhi overrides: error if failed; use 4 days
- 'local','install': print package name when build fails
- 'copr': abort on failure
- 'sort': only switch branch for dist-git
- 'review-package': new experimental command
- bunch of other tweaks and smaller fixes

* Wed Feb 10 2021 Jens Petersen <petersen@redhat.com> - 0.7.1-2
- add license files for internal libs

* Tue Feb  9 2021 Jens Petersen <petersen@redhat.com> - 0.7.1-1
- spec file generated by cabal-rpm-2.0.8
